PojoMessageHandlerWholePong (Apache Tomcat 9.0.73 API Documentation)

Package org.apache.tomcat.websocket.pojo

## Class PojoMessageHandlerWholePong

- java.lang.Object
- - org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase<T>
  - - org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase<PongMessage>
    - - org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholePong

- All Implemented Interfaces:
    `MessageHandler`, `MessageHandler.Whole<PongMessage>`, `WrappedMessageHandler`

      public class PojoMessageHandlerWholePong
      extends PojoMessageHandlerWholeBase<PongMessage>

  PongMessage specific concrete implementation for handling whole messages.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.websocket.MessageHandler

      `MessageHandler.Partial<T>, MessageHandler.Whole<T>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase

      `decoders`

    - ### Fields inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

      `convert, indexPayload, indexSession, maxMessageSize, method, params, pojo, session`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PojoMessageHandlerWholePong​(java.lang.Object pojo, java.lang.reflect.Method method, Session session, java.lang.Object[] params, int indexPayload, boolean convert, int indexSession)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.Object` | `decode​(PongMessage message)` |
    `protected void` | `onClose()` |

    - ### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase

      `convert, createDecoderInstance, onMessage`

    - ### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

      `getMaxMessageSize, getWrappedHandler, handlePojoMethodException, processResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PojoMessageHandlerWholePong

          public PojoMessageHandlerWholePong​(java.lang.Object pojo,
                                             java.lang.reflect.Method method,
                                             Session session,
                                             java.lang.Object[] params,
                                             int indexPayload,
                                             boolean convert,
                                             int indexSession)

  - ### Method Detail

    - #### decode

          protected java.lang.Object decode​(PongMessage message)

      Specified by:
        `decode` in class `PojoMessageHandlerWholeBase<PongMessage>`

    - #### onClose

          protected void onClose()

      Overrides:
        `onClose` in class `PojoMessageHandlerWholeBase<PongMessage>`